/// @file

#ifndef GEM_UTILS_GEMLOGGING_H
#define GEM_UTILS_GEMLOGGING_H

#include <log4cplus/logger.h>
#include <log4cplus/loggingmacros.h>
#include <log4cplus/loglevel.h>

#define CMSGEMOS_TRACE(MSG) LOG4CPLUS_TRACE(m_gemLogger, MSG)
#define CMSGEMOS_DEBUG(MSG) LOG4CPLUS_DEBUG(m_gemLogger, MSG)
#define CMSGEMOS_INFO(MSG) LOG4CPLUS_INFO(m_gemLogger, MSG)
#define CMSGEMOS_WARN(MSG) LOG4CPLUS_WARN(m_gemLogger, MSG)
#define CMSGEMOS_ERROR(MSG) LOG4CPLUS_ERROR(m_gemLogger, MSG)
#define CMSGEMOS_FATAL(MSG) LOG4CPLUS_FATAL(m_gemLogger, MSG)

#define TRACE_LOGGER(LOGGER, MSG) LOG4CPLUS_TRACE(LOGGER, MSG)
#define DEBUG_LOGGER(LOGGER, MSG) LOG4CPLUS_DEBUG(LOGGER, MSG)
#define INFO_LOGGER(LOGGER, MSG) LOG4CPLUS_INFO(LOGGER, MSG)
#define WARN_LOGGER(LOGGER, MSG) LOG4CPLUS_WARN(LOGGER, MSG)
#define ERROR_LOGGER(LOGGER, MSG) LOG4CPLUS_ERROR(LOGGER, MSG)
#define FATAL_LOGGER(LOGGER, MSG) LOG4CPLUS_FATAL(LOGGER, MSG)

#endif // GEM_UTILS_GEMLOGGING_H
